# Generated by Django 4.2.1 on 2023-05-22 14:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Capsule',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated_at')),
                ('capsule_id', models.CharField(max_length=32, unique=True)),
                ('reuse_count', models.PositiveIntegerField(default=0)),
                ('water_landings', models.PositiveIntegerField(default=0)),
                ('land_landings', models.PositiveIntegerField(default=0)),
                ('last_update', models.CharField(blank=True, max_length=255, null=True)),
                ('serial', models.CharField(max_length=8, unique=True)),
                ('status', models.CharField(choices=[('unknown', 'Unknown'), ('active', 'Active'), ('retired', 'Retired'), ('destroyed', 'Destroyed')], default='unknown', max_length=16)),
                ('type', models.CharField(choices=[('Dragon 1.0', 'Dragon 1.0'), ('Dragon 1.1', 'Dragon 1.1'), ('Dragon 2.0', 'Dragon 2.0')], default='Dragon 1.0', max_length=16)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Launche',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, verbose_name='updated_at')),
                ('launche_id', models.CharField(max_length=32, unique=True)),
                ('success', models.BooleanField()),
                ('upcoming', models.BooleanField(default=False)),
                ('name', models.CharField(max_length=255)),
                ('flight_number', models.PositiveSmallIntegerField(default=1)),
                ('details', models.TextField(blank=True)),
                ('static_fire_date_utc', models.DateTimeField()),
                ('link_patch_image', models.URLField()),
                ('link_patch_webcast', models.URLField()),
                ('capsule', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='capsule.capsule')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
